Skip to main content
`Ctrl`+`K`

# TSGetAdapt

Get the adaptive controller context for the current method

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSGetAdapt(TS ts, TSAdapt *adapt)

Collective if controller has not yet been created

## Input Parameter

- ts - time stepping context

## Output Parameter

- adapt - adaptive controller

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSAdapt`, `TSAdaptSetType()`, `TSAdaptChoose()`

## Level

intermediate

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/extchemfield.c
src/ts/tutorials/ex51.c
src/ts/utils/dmplexlandau/tutorials/ex1.c
src/ts/tutorials/ex53.c
src/ts/tutorials/ex40.c
src/ts/tutorials/extchem.c
src/ts/tutorials/ex44.c
src/ts/tutorials/ex41.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages